capture log close
log using ers1-models-03-win_lost, replace text

// Supplementary: Behavior Based on Past Interaction (Win or Lost challenge)
// ERS1 - Escalation Study # 1

version 	13.1
clear 		all
macro drop 	_all
set more 	off
set linesize 80

local pgm "ers1-models-03-win_lost"
local prj "ERS1 - Escalation Study 1"
local dte "2016-05-24"
local who "trenton mize"
local tag "`pgm' `who' `dte'"

**Long Dataset with Last Interaction Info
use "- Data\ers1-06-long-win_lost", clear



***********************************************************************
// #1 - Behavior in Response to Outcome of Last Interaction
***********************************************************************
fre 	hicost challenge outcome2

*Descriptive Patterns
tab 	outcome2 challenge if hicost == 0, row
tab 	outcome2 challenge if hicost == 1, row

*Models
xtset 	ID 

xtlogit challenge i.outcome2##i.hicost timeblk, nolog or
mtable, at(outcome2=(1(1)5) hicost=(0 1)) post stat(est se) predict(pu0)

// Effects of Condition, for each different prior outcome //

*Both Deferred
mlincom 2 - 1, stat(est se p)
*Deferred, Partner Challenged
mlincom 4 - 3, stat(est se p)
*Challenged, Partner Deferred
mlincom 6 - 5, stat(est se p)
*Both Challenged - Lost
mlincom 8 - 7, stat(est se p)
*Both Challenged - Won
mlincom 10 - 9, stat(est se p)

// Second Differences - Whether Effect of condition is bigger for some 
*	prior outcomes ///

*Both Defer vs. Partner Challenged (and P Deferred)
mlincom (4 - 3) - (2 - 1), stat(est se p)
*Both Defer vs. Both Challenged (and P Lost)
mlincom (8 - 7) - (2 - 1), stat(est se p)
*Both Defer vs. Both Challenged (and P Won)
mlincom (10 - 9) - (2 - 1), stat(est se p)
*Both Defer vs. Challenged, Partner Deferred
mlincom (6 - 5) - (2 - 1), stat(est se p)



log close
exit

NOTES:
