capture log close
log using ers2-models-03-tables, replace text

// Tables for Paper
// ERS1 - Escalation Study # 2

version 	14.2
clear 		all
macro drop 	_all
set more 	off
set 		linesize 80

local pgm "ers2-models-03-tables"
local prj "ERS2 - Escalation Study 2"
local dte "2015-09-22"
local who "trenton mize"
local tag "`pgm' `who' `dte'"

**Long Dataset
use ers2-03-w_scales-long, clear


// #1 - Create Table for Presentation in Paper
xtset ID

local dvs "challenge scoreinc"
foreach v in `dvs' {
eststo clear
eststo: qui xtlogit `v' lowcost timeblk, nolog or
eststo: qui xtlogit `v' lastact timeblk, nolog or
eststo: qui xtlogit `v' reptotal timeblk, nolog or
eststo: qui xtlogit `v' i.lowcost##i.lastact timeblk, nolog or
eststo: qui xtlogit `v' i.lowcost##c.reptotal timeblk, nolog or

esttab using `v'-ers2-table.csv, replace ///
	title(`v' Study 2) ///
	noobs nonumbers mtitles("Low Cost" "Partner Aggression" ///
	"Partner Reputation" "Time Block" "Interaction") ///
	coeflabels(lowcost "Low Cost" lastact "Partner Aggression" ///
	reptotal "Partner Reputation" timeblk "Time Block" ///
	lcostXagg "Cost X Partner Agression" _cons "Constant") ///
	b(2) se(2) eform	
}


local ivs "HCscale SRscale BAG_Verbal BAG_Physical BAG_Perp BAG_Victim"
foreach v in `ivs' {
eststo clear
eststo: qui xtlogit scoreinc `v' timeblk
eststo: qui xtlogit scoreinc c.`v'##i.lowcost timeblk
eststo: qui xtlogit scoreinc c.`v'##i.lastact timeblk

esttab using `v'-escalate-ers2-tables.csv, replace ///
	title(Study 2 - Effects of Individual Level Characteristics) ///
	noobs nonumbers b(2) se(0) eform nobaselevels ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
}

local ivs "HCscale SRscale BAG_Verbal BAG_Physical BAG_Perp BAG_Victim"
foreach v in `ivs' {
eststo clear
eststo: qui xtlogit challenge `v' timeblk
eststo: qui xtlogit challenge c.`v'##i.lowcost timeblk
eststo: qui xtlogit challenge c.`v'##i.lastact timeblk

esttab using `v'-challenge-ers2-tables.csv, replace ///
	title(Study 2 - Effects of Individual Level Characteristics) ///
	noobs nonumbers b(2) se(0) eform nobaselevels drop(timeblk) ///
	star(+ 0.10 * 0.05 ** 0.01 *** 0.001)
}




log close
exit
